PSCAD 4.2.0

Settings
 {
 Id = "1318296521.1318480562"
 Author = "glj.glj"
 Desc = ""
 Arch = "windows"
 Options = 32
 Build = 18
 Warn = 1
 Check = 15
 Libs = ""
 Source = ""
 RunInfo = 
  {
  Fin = 0.5
  Step = 5e-005
  Plot = 0.00025
  Chat = 0.001
  Brch = 0.0005
  Lat = 100
  Options = 0
  Advanced = 4607
  Debug = 0
  StartFile = ""
  OFile = "noname.out"
  SFile = "noname.snp"
  SnapTime = 0.3
  Mruns = 10
  Mrunfile = 0
  StartType = 0
  PlotType = 0
  SnapType = 0
  MrunType = "mrun"
  }

 }

Definitions
 {
 Component("GLPVCELL")
  {
  Desc = ""
  FileDate = 0
  Parameters = 
   {
   }

  Nodes = 
   {
   Input("S",-54,-36)
    {
    Type = Real
    }
   Input("T",-54,0)
    {
    Type = Real
    }
   Input("Vxa",-54,36)
    {
    Type = Real
    }
   Output("Ipv",54,-18)
    {
    Type = Real
    }
   Output("Voca",54,18)
    {
    Type = Real
    }
   }

  Graphics = 
   {
   Rectangle(-39,-57,39,57)
   Pen(ByNode,ByNode,ByNode,S)
   Line(-54,-36,-39,-36)
   Pen(,Solid)
   Line(-39,-36,-44,-41)
   Line(-39,-36,-44,-31)
   Pen(,ByNode,,T)
   Line(-54,0,-39,0)
   Pen(,Solid)
   Line(-39,0,-44,-5)
   Line(-39,0,-44,5)
   Pen(,ByNode,,Vxa)
   Line(-54,36,-39,36)
   Pen(,Solid)
   Line(-39,36,-44,31)
   Line(-39,36,-44,41)
   Pen(,ByNode,,Ipv)
   Line(54,-18,39,-18)
   Pen(,,,Voca)
   Line(54,18,39,18)
   Text(0,3,"GLPVCELL")
   Text(-46,-40,"S")
   Text(-46,-4,"T")
   Text(-46,32,"Vxa")
   Text(46,-22,"Ipv")
   Text(46,14,"Voca")
   }

  Section(EMTDC)
   {
   Fortran = "\
#SUBROUTINE GLPVCELL
#STORAGE REAL:30
	CALL GLPVCELL($S,$T,$Vxa,$Voca,$Ipv)"
   Branch = ""
   Computations = ""
   }
  }
 Module("Main")
  {
  Desc = ""
  FileDate = 1318316718
  Nodes = 
   {
   }

  Graphics = 
   {
   Rectangle(-18,-18,18,18)
   }


  Page(A/A4,Landscape,16,[636,358],5)
   {
   0.const([72,54],0,0,10)
    {
    Name = ""
    Value = "800"
    }
   0.const([72,90],0,0,20)
    {
    Name = ""
    Value = "25"
    }
   0.ground([864,180],1,0,-1)
    {
    }
   0.capacitor([882,144],3,0,-1)
    {
    C = "400.0 [uF]"
    }
   0.varrlc([990,126],3,0,170)
    {
    RLC = "0"
    R = "RL"
    L = "1.0 [H]"
    C = "1.0 [uF]"
    E = "0.0 [kV]"
    I = ""
    }
   0.ammeter([918,36],0,0,40)
    {
    Name = "Ia"
    }
   0.voltmetergnd([846,36],0,0,30)
    {
    Name = "Ea"
    }
   -Wire-([954,36],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -Wire-([882,180],0,0,-1)
    {
    Vertex="0,0;0,-36"
    }
   -Wire-([990,180],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Wire-([990,90],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Wire-([882,108],0,0,-1)
    {
    Vertex="0,0;0,-72"
    }
   0.time-sig([234,288],0,0,100)
    {
    }
   0.gain([306,288],0,0,110)
    {
    G = "10"
    COM = "Gain"
    Dim = "1"
    }
   0.sumjct([450,288],0,0,150)
    {
    DPath = "1"
    A = "0"
    B = "0"
    C = "0"
    D = "1"
    E = "0"
    F = "-1"
    G = "0"
    }
   0.const([414,324],0,0,130)
    {
    Name = ""
    Value = "1.0"
    }
   0.datalabel([522,288],0,0,-1)
    {
    Name = "RL"
    }
   0.pgb([540,288],0,100917776,160)
    {
    Name = "RL"
    Group = ""
    Display = "1"
    Scale = "1.0"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   -Wire-([486,288],0,0,-1)
    {
    Vertex="0,0;54,0"
    }
   0.exp([378,288],0,0,120)
    {
    Base = "1"
    A = "1"
    B = "1"
    COM = ""
    Dim = "1"
    }
   0.mult([1116,90],0,0,70)
    {
    }
   0.datalabel([1080,90],0,0,-1)
    {
    Name = "Ia"
    }
   0.datalabel([1116,126],0,0,-1)
    {
    Name = "Ea"
    }
   0.datalabel([1170,90],0,0,-1)
    {
    Name = "Pa"
    }
   -Wire-([1152,90],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   0.pgb([1188,90],0,100922840,80)
    {
    Name = "P"
    Group = ""
    Display = "1"
    Scale = "1000"
    Units = "kW"
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([1080,90],3,100924288,60)
    {
    Name = "Ia"
    Group = ""
    Display = "0"
    Scale = "1000"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   0.pgb([1116,126],0,100926048,90)
    {
    Name = "Ea"
    Group = ""
    Display = "0"
    Scale = "1000"
    Units = ""
    mrun = "0"
    Pol = "0"
    Min = "-2.0"
    Max = "2.0"
    }
   .GLPVCELL([180,90],0,0,140)
    {
    }
   -Wire-([108,54],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([108,90],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([108,126],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([108,126],0,0,-1)
    {
    Name = "Vxa"
    }
   -Wire-([234,72],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   -Wire-([234,108],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.datalabel([252,72],0,0,-1)
    {
    Name = "Ipv"
    }
   0.datalabel([252,108],0,0,-1)
    {
    Name = "Voca"
    }
   0.src_ccin_1([648,90],1,0,190)
    {
    Name = "Source 1"
    Cntrl = "1"
    Vm = "132.79 [kA]"
    f = "60.0 [Hz]"
    Ph = "0.0 [deg]"
    Tc = "1.0 [s]"
    }
   0.source_1([720,126],7,0,180)
    {
    Name = "Source1"
    Type = "6"
    Grnd = "0"
    Spec = "0"
    Cntrl = "1"
    AC = "0"
    Vm = "132.79 [kV]"
    Tc = "0.02 [s]"
    Ph = "0.0 [deg]"
    f = "60.0 [Hz]"
    P = "0.0 [MW]"
    Q = "0.0 [MVAR]"
    R = "1.0 [ohm]"
    Rs = "1.0 [ohm]"
    Rp = "1.0 [ohm]"
    Lp = "0.1 [H]"
    R' = "1.0 [ohm]"
    L = "0.1 [H]"
    C = "1.0 [uF]"
    L' = "0.1 [H]"
    C' = "1.0 [uF]"
    CUR = ""
    }
   0.peswitch([720,54],2,0,-1)
    {
    L = "D"
    Type = "0"
    SNUB = "1"
    INTR = "1"
    RON = "0.01 [ohm]"
    ROFF = "1.0E6 [ohm]"
    EFVD = "0.0 [kV]"
    EBO = "1.0E5 [kV]"
    Erw = "1.0E5 [kV]"
    TEXT = "0.0 [us]"
    RD = "5000.0 [ohm]"
    CD = "0.05 [uF]"
    PFB = "0"
    I = ""
    It = ""
    V = ""
    Ton = ""
    Toff = ""
    Alpha = ""
    Gamma = ""
    }
   -Wire-([648,36],0,0,-1)
    {
    Vertex="0,0;270,0"
    }
   -Wire-([648,180],0,0,-1)
    {
    Vertex="0,0;342,0"
    }
   -Wire-([648,90],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Wire-([648,180],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Wire-([720,54],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   -Wire-([720,180],0,0,-1)
    {
    Vertex="0,0;0,-18"
    }
   0.datalabel([774,126],0,0,-1)
    {
    Name = "Voca"
    }
   0.datalabel([576,90],0,0,-1)
    {
    Name = "Ipv"
    }
   -Wire-([756,126],0,0,-1)
    {
    Vertex="0,0;18,0"
    }
   0.voltmeter([828,90],0,0,50)
    {
    Name = "Vxa"
    }
   -Wire-([828,90],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Wire-([828,180],0,0,-1)
    {
    Vertex="0,0;0,-54"
    }
   -Wire-([576,90],0,0,-1)
    {
    Vertex="0,0;36,0"
    }
   -SrcFile-([144,162],0)
    {
   Name = "GLPVCELL.f"
    }
   -Plot-([0,396],0)
    {
    Title = "RL"
    Draw = 0
    Area = [0,0,396,234]
    Posn = [666,324]
    Icon = [0,396]
    Extents = 0,0,288,18
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,288,90],"y")
     {
     Options = 128
     Units = ""
     Curve(100917776,"RL",0,,,)
     }
    }
   -Plot-([828,252],0)
    {
    Title = "Ea"
    Draw = 0
    Area = [0,0,576,288]
    Posn = [666,126]
    Icon = [828,252]
    Extents = 0,0,288,18
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,288,90],"y")
     {
     Options = 128
     Units = ""
     Curve(100926048,"Ea",0,,,)
     }
    }
   -Plot-([1260,36],0)
    {
    Title = "Ia"
    Draw = 0
    Area = [0,0,576,288]
    Posn = [720,144]
    Icon = [1260,36]
    Extents = 0,0,288,18
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,288,90],"y")
     {
     Options = 128
     Units = ""
     Curve(100924288,"Ia",0,,,)
     }
    }
   -Plot-([1170,180],0)
    {
    Title = "P"
    Draw = 1
    Area = [0,0,396,252]
    Posn = [1170,180]
    Icon = [774,288]
    Extents = 0,0,396,252
    XLabel = " "
    AutoPan = "false,75"
    Graph([0,0],[0,0,396,189],"y")
     {
     Options = 128
     Units = ""
     Curve(100922840,"P",0,,,)
     }
    }
   -XYPlot-(108,342,432,702)
    {
    Title = "$(GROUP) : XY Plot"
    Options = 37
    State = 1
    Icon = 252,432
    Posn = 108,342
    Extents = 0,0,324,360
    Curve(100926048,"Ea",0,,,)
    Curve(100924288,"Ia",0,,,)
    }
   }
  }
 }

